Package org.openni

# Enum Class SensorType

java.lang.Object
java.lang.Enum<SensorType>
org.openni.SensorType

All Implemented Interfaces:
  `Serializable`, `Comparable<SensorType>`, `Constable`

public enum SensorType extends Enum<SensorType>
Provides string names values for all sensors type codes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLOR`
`DEPTH`
`IR`

## Method Summary

Modifier and Type
Method
Description
`static SensorType`
`fromNative(int value)`
`int`
`toNative()`
`static SensorType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SensorType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IR

public static final SensorType IR

### COLOR

public static final SensorType COLOR

### DEPTH

public static final SensorType DEPTH

## Method Details

### values

public static SensorType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SensorType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toNative

public int toNative()

### fromNative

public static SensorType fromNative(int value)